Page MenuHomePhabricator

SpecialImport accesses $this->getConfig() in constructor, before context is set
Closed, ResolvedPublic

Description

See CR on https://gerrit.wikimedia.org/r/#/c/151535/2/includes/specials/SpecialImport.php,cm

Probably just needs a little refactoring to add an accessor for $this->namespace. Or set it in execute()?


Version: unspecified
Severity: normal

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:44 AM
bzimport set Reference to bz71376.
bzimport added a subscriber: Unknown Object (MLST).
Legoktm created this task.Sep 27 2014, 12:36 AM
Krinkle added a subscriber: Krinkle.

Change 179959 had a related patch set uploaded (by Legoktm):
SpecialImport: Don't access $this->getConfig() in the constructor

https://gerrit.wikimedia.org/r/179959

Patch-For-Review

Change 179959 merged by jenkins-bot:
SpecialImport: Don't access $this->getConfig() in the constructor

https://gerrit.wikimedia.org/r/179959

Umherirrender closed this task as Resolved.Dec 19 2014, 5:35 PM
Umherirrender claimed this task.
Umherirrender set Security to None.